circuits.web3(1)

NAME
circuits.web3 - Web Server and testing tool

SYNOPSIS
circuits.web3 [options] [docroot]

DESCRIPTION
circuits.web3 is a component based, event-driven light weight and high performance HTTP/WSGI framework. circuits.web3 applications are stand-alone applications with a high performance, multi-process web server with great concurrent scalability with full support for WSGI and deployment with other web servers.

OPTIONS

-b address:[port]
    Bind to address:[port]. Default address is 0.0.0.0:8000.

-d  Enable debug mode.

-j  Use python JIT (psyco) if it is available.

-m number
    Specify number of processes to start (multiprocessing).

-p  Enable execution profiling support.

-s server
    Specify server to use.

-t type
    Specify type of poller to use. type can be epoll, poll or select. Default type is select.

-v  Enable WSGI validation mode.

AUTHOR
James Mills <prologic@shortcircuit.net.au>

This manual page was written by Daniele Tricoli <eriol@mornie.org>, for the Debian project (but may be used by others).